Name:		multitail
Version:	5.2.13
Release:	%mkrel 2
Summary:	View one or multiple files like tail but with multiple windows
Group:		Text tools
License:	GPLv2
URL:		http://www.vanheusden.com/multitail

Source:		http://www.vanheusden.com/multitail/%{name}-%{version}.tgz

BuildRequires:	pkgconfig(ncurses)

%description
MultiTail lets you view one or multiple files like the original tail
program. The difference is that it creates multiple windows on your
console (with ncurses). It can also monitor wildcards: if another file
matching the wildcard has a more recent modification date, it will
automatically switch to that file. That way you can, for example,
monitor a complete directory of files. Merging of 2 or even more
logfiles is possible.
It can also use colors while displaying the logfiles (through regular
expressions), for faster recognition of what is important and what not.
Multitail can also filter lines (again with regular expressions) and
has interactive menus for editing given regular expressions and
deleting and adding windows. One can also have windows with the output
of shell scripts and other software. When viewing the output of 
external software, MultiTail can mimic the functionality of tools like
'watch' and such.


%prep
%setup -q


%build
%make

# Fix up doc encoding
iconv -f ISO88592 -t UTF8 < Changes > Changes.UTF8
mv Changes.UTF8 Changes
iconv -f ISO88592 -t UTF8 < readme.txt > readme.txt.UTF8
mv readme.txt.UTF8 readme.txt
iconv -f ISO885915 -t UTF8 < thanks.txt > thanks.txt.UTF8
mv thanks.txt.UTF8 thanks.txt

# Fix up examples permissions
chmod 644 colors-example.*
chmod 644 convert-*.pl


%install
install -d -m0755 %{buildroot}%{_bindir} \
	%{buildroot}%{_mandir}/man1/ \
	%{buildroot}%{_sysconfdir}
make install DESTDIR=%{buildroot}

# move the configuration in the right place
mv %{buildroot}%{_sysconfdir}/multitail.conf.new \
	%{buildroot}%{_sysconfdir}/multitail.conf

# remove the examples (installed as docs)
rm -f %{buildroot}%{_sysconfdir}/multitail/colors-example.*

# remove docs in wrong place
rm -rf %{buildroot}%{_docdir}/%{name}-%{version}


%files
%doc manual*.html Changes readme.txt thanks.txt colors-example.*
%config(noreplace) %{_sysconfdir}/multitail.conf
%{_sysconfdir}/multitail/
%{_bindir}/multitail
%{_mandir}/man1/multitail.1*


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 5.2.13-2.mga4
+ Revision: 532103
- Mageia 4 Mass Rebuild

* Fri Aug 16 2013 sander85 <sander85> 5.2.13-1.mga4
+ Revision: 466958
- New version: 5.2.13 (synced with Fedora)

* Wed Jan 23 2013 sander85 <sander85> 5.2.12-1.mga3
+ Revision: 391504
- imported package multitail

